/*
Phi-1 shield and phi-menu for Arduino
Test program: Phi-menu release for Phi-1 and 2 shields 20110312

Programmed by Dr. John Liu
Revision: 03/12/2011
Commercial use without authorization is prohibited.
Find details of the Phi-1 shield, Phi-2 shield or contact Dr. Liu at
http://liudr.wordpress.com/phi-1-shield/
http://liudr.wordpress.com/phi-2-shield/
All rights reserved.

Summary:
This is part of the 20110312 release of phi-menu for phi-1 shields. Please refer to the ducomentation phi-menu_20110312.pdf at http://liudr.wordpress.com/phi-menu.

*/

#ifndef defs_h
#define defs_h

#ifdef phi_1_shield
//Phi-1 shield definitions

//Phi-1 shield buttons and channel pin assignments
#define buzzer 16
#define ch1 16
#define ch1_analog 2
#define led 17
#define ch2 17
#define ch2_analog 3
#define btn_u 5
#define btn_d 10
#define btn_l 11
#define btn_r 3
#define btn_b 14
#define btn_a 15

//Phi-1 shield LCD pin setting
#define LCD_RS 8
#define LCD_EN 9
#define LCD_D4 7
#define LCD_D5 6
#define LCD_D6 2
#define LCD_D7 4

#endif

#ifdef phi_2_shield
//Phi-2 shield definitions

//Phi-2 shield buttons and channel pin assignments
#define buzzer 16
#define btn_u 5
#define btn_d 10
#define btn_l 11
#define btn_r 4
#define btn_b 14
#define btn_a 15

//Phi-2 shield LCD pin setting
#define LCD_RS 8
#define LCD_EN 9
#define LCD_D4 7
#define LCD_D5 6
#define LCD_D6 2
#define LCD_D7 3

#endif

//Maximal bytes on your Phi-1 shield eeprom, depending on the chip you use. I'm using 24LC256, with 256KiloBits so 32KiloBytes=32768 bytes.
#define EEPROM_size 32768UL 

//#define setRTC // Uncomment this to set the clock time.

//Phi-menu definitions
#define phi_menu_style_classic 0
#define phi_menu_style_2X2 1
#define phi_menu_style_index 2

//Program specific definitions should be stored in FUNCTIONS.pde

#endif
